[yt-svn] commit/yt: ngoldbaum: Exit the install script early if python can't import '_ssl' module

commits-noreply at bitbucket.org commits-noreply at bitbucket.org
Mon Apr 25 05:09:41 PDT 2016


1 new commit in yt:

https://bitbucket.org/yt_analysis/yt/commits/755ea18f1091/
Changeset:   755ea18f1091
Branch:      yt
User:        ngoldbaum
Date:        2016-04-21 17:55:58+00:00
Summary:     Exit the install script early if python can't import '_ssl' module
Affected #:  1 file

diff -r 843a342ee5101c18f9acf8a490bdea39d4ee0fc2 -r 755ea18f1091f8be4f916aa164ac313efbb86ad2 doc/install_script.sh
--- a/doc/install_script.sh
+++ b/doc/install_script.sh
@@ -994,6 +994,17 @@
         cd ..
     fi
 
+    ( ${DEST_DIR}/bin/python -c "import _ssl" 2>&1 ) 1>> ${LOG_FILE}
+    RESULT=$?
+    if  [ $RESULT -ne 0 ]
+    then
+        echo "Unable to import the python SSL bindings."
+        echo "This means that OpenSSL is not installed or your system's OpenSSL"
+        echo "installation is out of date."
+        echo "Please install OpenSSL or set INST_CONDA=1"
+        do_exit
+    fi
+
     if [ $INST_PY3 -eq 1 ]
     then
         if [ ! -e $PYTHON3/done ]

Repository URL: https://bitbucket.org/yt_analysis/yt/

--

This is a commit notification from bitbucket.org. You are receiving
this because you have the service enabled, addressing the recipient of
this email.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.spacepope.org/pipermail/yt-svn-spacepope.org/attachments/20160425/de0720bf/attachment.htm>


More information about the yt-svn mailing list